Requirements:
- Vala >= 0.16
- Granite >= 0.3.0
- Gtk+ >= 3.0.3
- GLib >= 2.32
- Gio >= 2.0
- Gee >= 1.0
- Pango >= 1.1.2
- Sqlite 3
- Libnotify >= 0.7.2
- Gail >= 3.0
- LibDBus-GLib
- GConf 2
- Zeitgeist-2.0

To get all of the dependencies under a Debian-based distribution, run:

    sudo apt-get build-dep pantheon-files

Optional:
- Unity (libunity-dev) >= 4.0.0 (For Unity launcher support).

To build pantheon-files:
    mkdir build
    cd build
    cmake .. -DCMAKE_INSTALL_PREFIX=/usr
    make

To install it:

    sudo make install

Options:
    Debug build:
        cmake .. -DCMAKE_BUILD_TYPE=Debug

    Different prefix:
        cmake .. -DCMAKE_INSTALL_PREFIX=/opt

    To install only libcore and libwidgets use the following command:
        cmake .. -DLIB_ONLY=true
        
    To install only the Gtk-Module use the following command:
        cmake .. -DMODULE_ONLY=true
